ATA_MODE_STRING(9)

NAME
ata_mode_string - convert xfer_mask to string

SYNOPSIS

const char * ata_mode_string(unsigned long xfer_mask);

ARGUMENTS

xfer_mask
    mask of bits supported; only highest bit counts.

DESCRIPTION

Determine string which represents the highest speed (highest bit in modemask).

LOCKING

None.

RETURNS

Constant C string representing highest speed listed in mode_mask, or the constant C string “<n/a>”.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT